All resources All frames

# StatisticsFrame

The Statistics frame displays at regular interval of time (see the refresh attribute) a bunch of server's statistics. This includes the number of processed requests, the number of emitted bytes and the average, min and max times of request processing.

## Inherits

The StatisticsFrame class inerits from the following classes:

- Resource
- FramedResource
- ResourceFrame
- ProtocolFrame
- HTTPFrame

## Attributes description

The StatisticsFrame defines the following attributes:

- refresh

`refresh`

semantics
  At what interval should the thread listing refresh itself. When available, this resource uses the Refresh header to make itself refresh regularly. This attribute gives the period of this refresh in seconds.
type
  This attribute is an editable IntegerAttribute
default value
  This attribute defaults to 5.

Jigsaw Team
$Id: org.w3c.jigsaw.status.StatisticsFrame.html,v 1.2 1998/03/27 08:24:29 bmahe Exp $